:root{
  --faded-font-clr:#4D4D4D;
  --faded-white-clr:#ADB5BD;
  --secondary-font-clr:#ca6868;
  --themed-clr:#e47b08;
  --themed-clr-2:#eb8e2b;
  --themed-clr-3:#fbf7f2;
  --themed-clr-4:#fac486;
  --green-theme:#22a26e;
  --green-theme2:#c5ecdc;
  --green-theme3: #eff6f3;
  --golden-theme: #f7a830;
  --golden-theme2: #f4bd69;
  --golden-theme3: #f8ebd6;
  --blue-theme:#0099ff;
  --blue-theme1:#9ed6fc;
  --blue-theme2:#cee7f8;
  --blue-theme3:#deeef9;
  --dark-backgrnd-clr:rgb(31, 33, 46);
  --dark-backgrnd-clr2:#5b666d;
  --background-clr:#ffffff;
  --highlighted-clr-1:#F9F9F9;
  --highlighted-clr-2:#F5F5F5;
  --highlighted-clr-3:#EFEFEF;
  --highlighted-clr-3:#F7FAFC;
  --highlighted-clr-4:#e3e7ea;
  --outfit-font-fam:'Outfit', sans-serif;
  --poppins-font-fam:'Poppins', sans-serif;
  --inter-font-fam:'Inter', sans-serif;
  --roboto-font-fam:'Roboto', sans-serif;
  --lora-font-fam:'Lora', sans-serif;
  --dancing-font-fam:'Great Vibes', cursive;
}

@keyframes bounce {
0%, 20%, 50%, 80%, 100% {
  transform: translateY(0);
}
40% {
  transform: translateY(-30px);
}
60% {
  transform: translateY(-15px);
}
}

.bounce {
animation: bounce 1s;
}

body {
    min-height: 100vh;
    width: 100vw;
    height: 100vh; 
    margin: 0;
    padding:0;
    box-sizing: border-box;
    font-family: var(--new_font_fam);
    overflow-x: hidden;
    overflow-y: auto;
    background-color: var(--background-clr);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    justify-content: center;
}
.return-link{
  width: 100px;
  height: auto;
  text-decoration: none;
}
.site-logo{
  width: 100%;
}
.login-main{
    width: 50%;
    height: auto;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
    box-sizing: border-box;
}

.login-form{
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  padding: 30px;
  background-color: var(--background-clr);
  border: solid 1px var(--highlighted-clr-4);
  border-radius: 8px;
  box-shadow: 0 4px 12px rgba(0,0,0,0.1);
  box-sizing: border-box;   
}
.login-form-span1{
  font-family: var(--poppins-font-fam);
  font-weight: bold;
  font-size: 25px;
  color: var(--green-theme);
  text-decoration: none;
}
.login-form-cont{
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  margin-top: 10px;
  box-sizing: border-box;
}
.login-form-span2{
  font-family: var(--poppins-font-fam);
  font-weight: 300;
  font-size: 14px;
  color: var(--faded-font-clr);
  text-decoration: none;
}

.password-toggle-container {
  width: 100%;
  box-sizing: border-box;
  position: relative;
}

#passwordInput {
  padding-right: 35px; 
  width: 100%;
  margin-top: 10px;
  margin-bottom: 10px;
  padding: 15px;
  background-color: var(--blue-theme3);
  border: solid 1px var(--highlighted-clr-4);
  border-radius: 8px;
  background-color: none;
  box-sizing: border-box;
  font-family: var(--poppins-font-fam);
  font-weight: 300;
  font-size: 14px;
  color: gray;
  text-decoration: none;
  outline: none;
}

#togglePassword {
  position: absolute;
  top: 50%;
  right: 10px;
  transform: translateY(-50%);
  cursor: pointer;
  color: #888;
}


.login-form-cont-input{
  width: 100%;
  margin-top: 10px;
  margin-bottom: 10px;
  padding: 15px;
  background-color: var(--blue-theme3);
  border: solid 1px var(--highlighted-clr-4);
  border-radius: 8px;
  background-color: none;
  box-sizing: border-box;
  font-family: var(--poppins-font-fam);
  font-weight: 300;
  font-size: 14px;
  color: var(--faded-font-clr);
  text-decoration: none;
  outline: none;
}
.login-form-cont-input:focus{
  background-color: var(--blue-theme3);
}
.login-form-forgot{
  font-family: var(--poppins-font-fam);
  font-weight: bold;
  font-size: 14px;
  color: var(--blue-theme);
  text-decoration: none;
}
.login-form-forgot:hover{
  color: var(--blue-theme1);
}
.login-form-submit{
  width: 100%;
  margin-top: 10px;
  margin-bottom: 10px;
  padding: 10px;
  border: solid 1px var(--green-theme);
  border-radius: 8px;
  background-color: var(--green-theme);
  box-sizing: border-box;
  font-family: var(--poppins-font-fam);
  font-weight: 400;
  font-size: 14px;
  color: white;
  text-decoration: none;
  cursor: pointer;
  transition: all 0.5s ease-in-out;
}
.login-form-submit:hover{
  background-color: var(--green-theme);
}
.login-form-other-cont{
  margin-top: 20px;
  min-width: 100%;
  min-height: 2px;
  width: 100%;
  height: 2px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
  width: auto;
  min-height: 2px;
  height: 2px;
  background-color: var(--highlighted-clr-4);
}

.login-form-other-center{
  width: auto;
  height: auto;
  background-color: var(--background-clr);
  font-family: var(--poppins-font-fam);
  font-weight: 300;
  font-size: 14px;
  color: gray;
  padding-left: 5px;
  padding-right: 5px;
  text-decoration: none;
}
.login-form-other-a-holder{
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
}
.login-form-other-a{
  width: 35px;
  height: 35px;
  border: solid 1px var(--highlighted-clr-4);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.login-form-other-a img{
  width: 30px;
  height: 30px;
}
.login-form-dont-have-acc{
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
  box-sizing: border-box;
  font-family: var(--poppins-font-fam);
  font-weight: 300;
  font-size: 14px;
  color: gray;
  text-decoration: none;
}
.login-form-dont-have-acc a{
  margin-left: 5px;
  font-weight: bold;
  color: var(--blue-theme);
  text-decoration: none;
}
.login-form-dont-have-acc a:hover{
  color: var(--blue-theme1);
}

@media (max-width:769px){
  .login-main{
    width: 100%;
    padding: 10px;
  }
  .login-form{
    width: 100%;
    padding: 10px;
  }
}